import QtQuick
import QtQuick.Layouts
import Quickshell
import Quickshell.Wayland
import "root:/"

Row {
    spacing: 10

    SimpleImage {
        height: 42
        Layout.fillHeight: true
        implicitWidth: parent.height / 2
        source: ToplevelManager.activeToplevel ? Quickshell.iconPath(ToplevelManager.activeToplevel.appId.toLowerCase()) || Quickshell.iconPath(ToplevelManager.activeToplevel.appId) : ""
    }

    Text {
        id: text
        height: 42
        text: ToplevelManager.activeToplevel?.title ?? ""
        color: Globals.commonStyles.textColor
        font.pointSize: Globals.commonStyles.smallTextFontSize
        font.family: Globals.commonStyles.fontFamily
        elide: Text.ElideRight
        width: Math.min(implicitWidth, 300)
        horizontalAlignment: Text.AlignHCenter
        verticalAlignment: Text.AlignVCenter
    }
}